---
title: CSSRotate()
slug: Web/API/CSSRotate/CSSRotate
tags:
  - API
  - CSS Types Object Model API
  - CSSRotate
  - CSSTransformComponent
  - CSSTransformValue
  - Constructor
  - Experimental
  - Houdini
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>CSSRotate()</code></strong> constructor creates a new {{domxref("CSSRotate")}} object representing the <a href="/en-US/docs/Web/CSS/transform-function/rotate()">rotate()</a> value of the individual {{CSSXref('transform')}} property in CSS.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSRotate</var> = new CSSRotate(<em>x,y,z,angle</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>{{domxref('CSSRotate.x','x')}}</dt>
 <dd>A value for the x-axis of the {{domxref('CSSRotate')}} object to be constructed. This must either be a double integer or a {{domxref('CSSNumericValue')}}.</dd>
 <dt>{{domxref('CSSRotate.y','y')}}</dt>
 <dd>A value for the y-axis of the {{domxref('CSSRotate')}} object to be constructed. This must either be a double integer or a {{domxref('CSSNumericValue')}}.</dd>
 <dt>{{domxref('CSSRotate.z','z')}}</dt>
 <dd>A value for the z-axis of the {{domxref('CSSRotate')}} object to be constructed. This must either be a double integer or a {{domxref('CSSNumericValue')}}.</dd>
 <dt>{{domxref('CSSRotate.angle','angle')}}</dt>
 <dd>A value for the angle of the {{domxref('CSSRotate')}} object to be constructed. This must be a {{domxref('CSSNumericValue')}}.</dd>
 <dt>
 <h3 id="Exceptions">Exceptions</h3>
 </dt>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/TypeError"><code>TypeError</code></a></dt>
 <dd>Raised if the value of <code>CSSRotate.angle</code> is not an <a href="/en-US/docs/Web/CSS/angle">&lt;angle&gt;</a> value or <code>CSSRotate.x</code>, <code>CSSRotate.y</code>, <code>CSSRotate.z</code> are not <a href="/en-US/docs/Web/CSS/number">&lt;number&gt;</a> values.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssrotate','cssrotate')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSRotate.CSSRotate")}}</p>
